Bug 124514 - Chart wizard initially does not list all data series lists for some chart types
Summary: Chart wizard initially does not list all data series lists for some chart types
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart-Wizard
  Show dependency treegraph
 
Reported: 2019-04-03 04:12 UTC by Cathy Crumbley
Modified: 2021-05-23 04:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample table for chart in Writer and Calc (8.73 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-04-03 04:12 UTC, Cathy Crumbley
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cathy Crumbley 2019-04-03 04:12:15 UTC
Created attachment 150492 [details]
sample table for chart in Writer and Calc

To recreate:
1. Select contents of cells in the attached spreadsheet.
2. Click icon in formatting bar to start Chart Wizard.
3. Select chart type and click Next.
4. Select Data series in columns and First row as label. Click Next.

What I expect to see:
In the Data series box, a list of the 6 data series names in the first row of the table.

What I see:
The results are inconsistent. 
For most chart types, "Column A" appears along with the 6 data series names. Exceptions:

For XY chart type, the 6 data series names appear without "Column A."

For Bubble chart type, only "bravo, delta, foxtrot" appear.

For Stock chart type, "Unnamed Series, Unnamed Series 2, Unnamed Series 3" appears in Calc. In Writer, "bravo, echo, unnamed series" appears.

I see this in the 6.1.5.2 and 6.2.3.1 versions in both Calc and Writer.

I understand that there are some differences in how the Chart Wizard works that depend on the type of chart chosen. However, I am trying to explain Calc charts to people and it would be a bit easier without these inconsistencies.
Comment 1 raal 2019-04-07 06:45:50 UTC
Confirm with Version: 6.3.0.0.alpha0+
Build ID: c8c0292c2152df8c353aeff32896f0cfa8a53a64
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
and Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 2 QA Administrators 2021-05-23 04:20:08 UTC
Dear Cathy Crumbley,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug